%define Product LinguaPlone
%define product linguaplone
%define name    zope-%{Product}
%define version 2.0
%define bad_version %(echo %{version} | sed -e 's/\\./-/g')
%define release %mkrel 4

%define zope_minver	2.7
%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	LinguaPlone aims to be *the* multilingual/translation solution for Plone
License:	GPL
Group:		System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{Product}-%{version}.tar.gz
Requires:	zope >= %{zope_minver}
Requires:	zope-Plone >= 2.1
Requires:	zope-Archetypes
Requires:	zope-PloneLanguageTool
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
LinguaPlone aims to be *the* multilingual/translation solution for
Plone, and achieves this by being as transparent as possible and by
minimizing the impact for existing applications and Plone itself.

 It utilizes Archetypes references to do the translation, and all content
is left intact both on install and uninstall - thus, it will not disrupt
your content structure in any way. It also works with WebDAV and FTP.

 LinguaPlone doesn't require a particular hierarchy of content, and will
work with any layout of your content space.

Some benefits of LinguaPlone

  - Totally transparent, install-and-go.

  - Each translation is a discrete object, and can be workflowed individually.

  - This also means that it works with WebDAV and FTP.

  - Translations are kept track of using AT references.

  - You can multilingual-enable your types without affecting their operation
outside LinguaPlone.

  - Even if you uninstall LinguaPlone after adding multilingual content, all
your content will be intact and will work as separate objects! The only thing
that will be inactive is the references between the objects. If you re-install
it, they will be back. It's very non-intrusive.

  - Supporting multilingual capabilities is a 4 (!) line addition to your
Archetypes class, and does not alter the functionality of the class when used
outside LinguaPlone.

  - Fully integrated with ATContentTypes, so the basic content types are
translatable.

  - Supports language-independent fields (example: dates, first/last names) for
fields you wiant to be the same across translations, and updated in all 
languages if one of them changes.

  - Uses the notion of Canonical versions, so you can do interesting things 
with workflow, like invalidate all translations of a document when the master 
copy has changed.


%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0-4mdv2009.0
+ Revision: 263181
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 16 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.0-1mdv2008.1
+ Revision: 120677
- Release 2.0.

* Thu Sep 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.0
+ Revision: 91617
- fix dependencies

* Mon Sep 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2008.0
+ Revision: 88820
- new version


* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 14:11:02 (53905)
- Fix  rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:59:58 (42768)
Import zope-LinguaPlone

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8.5-1mdk
- New release 0.8.5
- fix URL and source URL

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7-2mdk
- fix path on x86_64

* Sat May 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7-1mdk
- initial package

